#
# gt <- GTServer(host = "genetraffic", username="demo", password="pass", port = 80)
# session <- GTLogin(gt)
# pl <- GTGetProjectList(gt,session)
# filename <- GTGetProjectSummary(gt, session, pl[[1]]$"project_id")
# GTLogout(gt,session)
# eset <- GTLoadExpression(filename)
# eset
#

"GTLogin" <- function (server) {
    t <- getOption("timeout")
    w <- getOption("warn")
    options(timeout=3,warn=-1)
    
    s <- SOAPServer(server@host,"ws/",port=server@port)
    a <- paste("http://",server@host,"/ws/",sep="")
    challenge <- .SOAP(s,"GetChallenge",action=a,xmlns=c(ns1=a))
    hchallenge <- digest(challenge,algo="md5",serialize=FALSE)
    hpassword <- digest(server@password,algo="md5",serialize=FALSE)
    password <- digest(paste(hchallenge,hpassword,sep=""),algo="md5",serialize=FALSE)
    session <- .SOAP(s,"Login",server@username,password,action=a,xmlns=c(ns1=a))
    options(timeout=t,warn=w)
    session
}

"GTLogout" <- function (server, session) {
    t <- getOption("timeout")
    w <- getOption("warn")
    options(timeout=3,warn=-1)

    s <- SOAPServer(server@host,"ws/",port=server@port)
    a <- paste("http://",server@host,"/ws/",sep="")
    response <- .SOAP(s,"Logout",session,action=a,xmlns=c(ns1=a))
    options(timeout=t,warn=w)
    response
}

"GTGetProjectList" <- function (server, session) {
    t <- getOption("timeout")
    w <- getOption("warn")
    options(timeout=3,warn=-1)

    s <- SOAPServer(server@host,"ws/",port=server@port)
    a <- paste("http://",server@host,"/ws/",sep="")
    response <- .SOAP(s,"GetProjectList",session,action=a,xmlns=c(ns1=a))
    options(timeout=t,warn=w)
    response
}

"GTGetProjectSummary" <- function (server, session, project, dest) {
    if(missing(dest)) {
	dest <- "Project.zip"
    }
	 
    t <- getOption("timeout")
    w <- getOption("warn")
    options(timeout=3,warn=-1)

    s <- SOAPServer(server@host,"ws/",port=server@port)
    a <- paste("http://",server@host,"/ws/",sep="")
    response <- .SOAP(s,"GetProjectSummary",session,project,action=a,xmlns=c(ns1=a))
    options(timeout=t,warn=w)
    #response
    download.file(response,dest,mode="wb",quiet=TRUE)
    dest
}
