\name{GTGetProjectSummary}
\alias{GTGetProjectSummary}
\title{Get a project summary zip from a GeneTraffic server}
\keyword{ IO }
\description{
  This is the function that retrieves a project summary zip file from a GeneTraffic server using the GeneTraffic Web Services API.
}
\usage{
GTGetProjectSummary(server, session, project, dest)
}
%- maybe also `usage' for other objects documented here.
\arguments{
\item{server}{ a \code{GTServer} object.}
\item{session}{ the session id returned by the \code{GTLogin} function.}
\item{project}{ the project id returned by the \code{GTGetProjectList} function.}
\item{dest}{ the destination file name where the project summary should be retrieved.}
}
\value{
  The file name of the project summary zip file retrieved from a GeneTraffic server.
}

\examples{
    \dontrun{
	gt <- GTServer(host = "genetraffic", username="demo", password="pass", port = 80)
	session <- GTLogin(gt)
	pl <- GTGetProjectList(gt, session)
	filename <- GTGetProjectSummary(gt, session, pl[[1]]$"project_id")
    }
}
