\name{GTLoadExpression}
\alias{GTLoadExpression}

\title{Reads from a GeneTraffic project summary file}
\keyword{IO}
\description{
A GeneTraffic project summary is read from a file representing the experiment interpretation for that project.
}

\usage{
GTLoadExpression(filename = "Project.zip")
}

\arguments{
\item{filename}{Name of the file containing the GeneTraffic project summary in zip format.}
}

\value{
The return value depends on how many chip types the project summary file contains. If it has only one, 
it returns one \code{ExpressionSet} object, otherwise it returns a list of \code{ExpressionSet} objects (for 1 color projects).
For two color projects, if it has only one chip type, it returns one \code{marrayRaw} object, otherwise it returns
a list of \code{marrayRaw} objects.
}

\examples{
    #From a file:
	eset <- GTLoadExpression(filename="Project.zip")
    eset

    #From a GeneTraffic server:
    \dontrun{
	gt <- GTServer(host = "genetraffic", username="demo", password="pass", port = 80)
	session <- GTLogin(gt)
	pl <- GTGetProjectList(gt,session)
	filename <- GTGetProjectSummary(gt, session, pl[[1]]$"project_id")
	GTLogout(gt,session)
	eset <- GTLoadExpression(filename)
	eset
    }
}
